#
#   Risposta in frequenza con 2 zeri reali e 2 zeri complessi coniugati.
#   Copyright (C) 2010 2011 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set terminal png size 640,480 x000000 xffffff

load "zeri_poli.gnu"




set grid x y

set key off

set samples 300

set xrange[0.0:0.5]
set yrange[-60:0]

set xtics 0.1
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Filter gain"

if (caso==1) plot	dB(Zsurf1(FtoX(x),FtoY(x))); else
if (caso==2) plot	dB(Zsurf_pb1(FtoX(x),FtoY(x))/2.0); else
if (caso==3) plot	dB(Zsurf_pb2(FtoX(x),FtoY(x))/4.0); else
if (caso==4) plot	dB(Zsurf_pb3(FtoX(x),FtoY(x))/8.0); else
if (caso==5) plot	dB(Psurf2(FtoX(x),FtoY(x))); else
if (caso==6) plot	dB(Psurf3(FtoX(x),FtoY(x))); else

