#
#   Vista tridimensionale della funzione di trasferimento del filtro.
#   Copyright (C) 2010 2011  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set terminal png size 640,480 x000000 xffffff

load "zeri_poli.gnu"



#set grid x y z
set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000
set grid x y

set key off

#set samples 300
set dummy u,v
#set dummy t
set parametric
set isosamples 50,15

set view 60,20,1.4,1
set hidden3d offset 1 trianglepattern 3 undefined 1 altdiagonal bentover

set urange [0:360]
set vrange [0:1]
set xrange [-1.25:1.25]
set yrange [-1.25:1.25]
set yrange [-1.25:1.25]
if ((caso>=1)&&(caso<3)) set zrange [0:3]; else
if ((caso>=4)&&(caso<6)) set zrange [0:20]; else

set xtics 0.25
set ytics 0.25
set ztics 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "Funzione di trasferimento"

set xyplane at 0

if (caso==1) splot	Xpol(v,u),Ypol(v,u),Zsurf1(Xpol(v,u),Ypol(v,u)); else
if (caso==2) splot	Xpol(v,u),Ypol(v,u),Zsurf2(Xpol(v,u),Ypol(v,u)); else
if (caso==3) splot	Xpol(v,u),Ypol(v,u),Zsurf3(Xpol(v,u),Ypol(v,u)); else
if (caso==4) splot	Xpol(v,u),Ypol(v,u),Psurf1(Xpol(v,u),Ypol(v,u)); else
if (caso==5) splot	Xpol(v,u),Ypol(v,u),Psurf2(Xpol(v,u),Ypol(v,u)); else
if (caso==6) splot	Xpol(v,u),Ypol(v,u),Psurf3(Xpol(v,u),Ypol(v,u)); else

