#
#   Zeroes polar chart drawing.
#   Copyright (C) 2010 2011 2013 2014 2015  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set terminal png size 480,480 x000000 xffffff

load "zeri_poli.gnu"



set polar
set dummy t

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.25:1.25]
set yrange[-1.25:1.25]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona i commenti
if (caso==0) set arrow from -1.1,0.8 to -1.05,0.05
if (caso==0) set arrow from 1.1,0.8 to 1.05,0.05
if (caso==0) set label "Nyquist" at -1.2,0.9
if (caso==0) set label "Continua" at 0.9,0.9


set macros
Green="textcolor rgbcolor \"#00ff00\" front point ps 3 offset 0.4,0.4"
Red=  "textcolor rgbcolor \"#ff0000\" front point ps 3 offset 0.4,0.4"


# posiziona gli zeri
if (caso==1) set label "q1" at z1,0 @Green

if ((caso>=2)&&(caso<=4)) set label "q1" at -1,0 @Green

if ((caso>=3)&&(caso<=4)) set label "q2" at Xpol(1,90),Ypol(1,90) @Green; \
	set label "q3" at Xpol(1,-90),Ypol(1,-90) @Green; else

if (caso==4) set label "q4" at Xpol(1,135),Ypol(1,135) @Green; \
	set label "q5" at Xpol(1,-135),Ypol(1,-135) @Green; \
	set label "q6" at Xpol(1,45),Ypol(1,45) @Green; \
	set label "q7" at Xpol(1,-45),Ypol(1,-45) @Green; else


#posiziona i poli
#if ((caso>=4)&&(caso<=6)) set label "p1" at p1,0 @Red
#if ((caso>=5)&&(caso<=6)) set label "p2" at p2,0 @Red; else


plot 1.0 linetype 3 lw 2

